New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#785 (Dynamic memory) – NEMO

Opened 12 years ago

Closed 11 years ago

Last modified 5 years ago

#785 closed Task (fixed)

Dynamic memory

Reported by: trackstand Owned by: Andy Porter
Priority: normal Milestone:
Component: OCE Version: trunk
Severity: Keywords: allocation
Cc:

Description

As of v3.3 of NEMO, the dimensions of all major arrays are set at compile time. This development task is to change the code to use dynamically-allocated memory so that the array dimensions are set at run-time according to the configuration at hand.

Commit History (33)

ChangesetAuthorTimeChangeLog
2690gm2011-03-15T16:27:46+01:00

dynamic mem: #785 ; homogeneization of the coding style associated with dyn allocation

2689gm2011-03-15T15:49:11+01:00

dynamic mem: #785 ; bug correction (sshn_b allocated twice) + style in time splitting case

2688gm2011-03-15T14:40:08+01:00

dynamic mem: #785 ; suppression of unused logical workspace function

2683gm2011-03-11T08:48:26+01:00

dynamic mem: #785 ; add the allocation of s-coord arrays which were missing

2662gm2011-03-05T10:52:38+01:00

dynamic mem: #785 ; suppress the need of logical work space (tradmp,wrk_nemo) + bug correction in the size of local 1d arry (tradmp). NB: llwrk_ functions can (should?) now be removed too

2661gm2011-03-05T10:13:53+01:00

dynamic mem: #785 ; add key_no_workspace_check to by-pass the check in production runs

2660gm2011-03-05T09:19:54+01:00

dynamic mem: #785 ; re-Fixed bug in call to mpp_sum instead of ctl_warn in traldf and cla

2651gm2011-03-04T12:04:28+01:00

dynamic mem: #785 ; minor changes, style mainly

2647gm2011-03-03T13:48:06+01:00

dynamic mem: #785 ; OPA_SRC/OBC: move dyn allocation from nemogcm to obcini... (hopefully end)

2645gm2011-03-03T11:14:19+01:00

dynamic mem: #785 ; correct small bug in dtatem & dtasal ierr3 not initialized, ierr2 should be set to 0

2636gm2011-03-01T20:04:06+01:00

dynamic mem: #785 ; move ctl_stop & warn in lib_mpp to avoid a circular dependency + ctl_stop improvment

2629gm2011-02-28T08:58:31+01:00

dynamic mem: #785 ; TOP_SRC/TRD: move dyn allocation from nemogcm to trd... (continuation)

2628gm2011-02-27T19:38:47+01:00

dynamic mem: #785 ; TOP_SRC: move dyn allocation from nemogcm to trcini (continuation)

2627gm2011-02-27T18:52:49+01:00

dynamic mem: #785 ; OPA_SRC compilation without mpp

2626gm2011-02-27T17:41:49+01:00

dynamic mem: #785 ; LIM_SRC_3 mpp compilation correct limthd.F90 ; LIM2 & 3: add a test of jpl/jpk in iceini

2625gm2011-02-27T17:36:24+01:00

dynamic mem: #785 ; OPA_SRC mpp compilation: suppression of the USE in_out_manager in lib_mpp + style in DYN

2624gm2011-02-27T17:33:43+01:00

dynamic mem: #785 ; SBC geo2ocean.F90 remove the optimization to ensure reproductibility

2623gm2011-02-27T13:45:53+01:00

dynamic mem: #785 ; TRA: move dyn allocation from nemogcm to module when possible (continuation)

2622gm2011-02-27T11:51:17+01:00

dynamic mem: #785 ; SOL: move dyn allocation from nemogcm to module when possible (continuation)

2621gm2011-02-27T11:24:06+01:00

dynamic mem: #785 ; DYN: move dyn allocation from nemogcm to module when possible (continuation)

2620gm2011-02-27T10:12:17+01:00

dynamic mem: #785 ; SBC: move dyn allocation from nemogcm to module when possible (continuation)

2619gm2011-02-27T09:59:39+01:00

dynamic mem: #785 ; create e1e2t=e1t*e2t to simplify some dynamical allocation

2618gm2011-02-26T13:31:38+01:00

dynamic mem: #785 ; move dyn allocation from nemogcm to module when possible (continuation)

2617gm2011-02-26T11:34:33+01:00

dynamic mem: #785 ; zdfbfr allocation in zdf_bfr_init

2616gm2011-02-26T11:28:03+01:00

dynamic mem: #785 ; move the allocation vertical physics from nemogcm to ZDF modules (compilation check using key_esopa)

2613gm2011-02-25T11:45:57+01:00

dynamic mem: #785 ; move the allocation of ice in iceini_2/iceini module + bug fixes (define key_esopa)

2612gm2011-02-25T11:43:45+01:00

dynamic mem: #785 ; LIM-3 case: changes required for compilation (continuation)

2601gm2011-02-20T16:30:58+01:00

dynamic mem: #785 ; LIM-3 case: changes required for compilation

2600gm2011-02-20T16:29:08+01:00

dynamic mem: #785 ; LIM-2 case: DOCTOR norm zfact changed in efact + style

2599gm2011-02-20T16:02:36+01:00

dynamic mem: #785 ; LIM-3 case: DOCTOR norm alb_ice.. changed in zalb_ice...

2598gm2011-02-20T15:56:41+01:00

dynamic mem: #785 ; LIM-3 case: add TARGET for 4D arrays + style

2597gm2011-02-20T15:33:53+01:00

dynamic mem: #785 nemogcm error in LIM-3 case: lim_idt instead of lim_itd...

2588trackstand22011-02-17T17:12:05+01:00

Created branch for move to dynamic mem - ticket #785

Change History (5)

comment:1 Changed 11 years ago by rblod

  • Resolution set to fixed
  • Status changed from new to closed

comment:2 Changed 6 years ago by nicolasmartin

  • Keywords allocation added; dynamic removed

comment:3 Changed 6 years ago by nicolasmartin

  • Keywords memory removed

comment:4 Changed 5 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

comment:5 Changed 5 years ago by nemo

  • Keywords allocation/deallocation added; allocation removed
Note: See TracTickets for help on using tickets.